Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037874
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2018-02-10 14:272019-02-15 11:49
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision9141b6a4a4e8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037874: Remove support for fop rendering from core product as very nearly not used

DescriptionSee project: http://wiki.openbravo.com/wiki/Projects:Remove_FOP_support [^]

Openbravo uses 2 different report rendering system:
a.) JasperReports (124 jrxml files)
b.) FOP (18 source files)

Count above already shows that fop use is very low compared to the typically used jasperreports.

Breaking down those 18 files show in fact even less reports affected, as many reports use >1 file for a single report.
Given roughly only 8 reports in core product using fop

./src/org/openbravo/erpCommon/ad_reports/ReportPricelist.fo
./src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalyses.fo
./src/org/openbravo/erpReports/RptC_Settlement.fo
./src/org/openbravo/erpReports/RptC_SettlementHeader.fo
./src/org/openbravo/erpReports/RptC_SettlementLines.fo
./src/org/openbravo/erpReports/RptMA_CCP_Group.fo
./src/org/openbravo/erpReports/RptMA_CCP_Measures.fo
./src/org/openbravo/erpReports/RptMA_CCP_Measures_Hours.fo
./src/org/openbravo/erpReports/RptMA_CCP_Measures_Values.fo
./src/org/openbravo/erpReports/RptM_Inout.fo
./src/org/openbravo/erpReports/RptM_InoutHeader.fo
./src/org/openbravo/erpReports/RptM_InoutLines.fo
./src/org/openbravo/erpReports/RptM_Movement.fo
./src/org/openbravo/erpReports/RptM_MovementLines.fo
./src/org/openbravo/erpReports/RptPromissoryNoteAfter.fo
./src/org/openbravo/erpReports/RptPromissoryNoteError.fo
./src/org/openbravo/erpReports/RptPromissoryNote.fo
./src/org/openbravo/erpReports/RptPromissoryNoteHeader.fo

Apart doing similar search in all published modules gives following list:
./com.openbravo.gps.finance.balanceexcelexport.report/src/com/openbravo/gps/finance/balanceexcelexport/report/ExpGeneralAccountingReportDetail.fo
./com.openbravo.gps.finance.balanceexcelexport.report/src/com/openbravo/gps/finance/balanceexcelexport/report/ExpGeneralAccountingReportsPDF.fo
./com.smf.reports.accounts/src/com/smf/reports/accounts/GeneralAccountingReportsPDF.fo
./com.smf.reports.accounts/src/com/smf/reports/accounts/GeneralAccountingReportDetail.fo
./com.sim.advdimensionalrpt/src/com/sim/advdimensionalrpt/ad_reports/ReportRefundSalesDimensionalAnalyses.fo

Giving 3 modules only with 1 report each -> so again tiny usage.
Steps To Reproduce-
Proposed SolutionRemove or re-implement those reports above then remove remove functionality from core product.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0032110 closedcaristu Openbravo ERP Upgrade FOP library 
depends on feature request 0037875 closedshuehner Openbravo ERP Delete report RptM_Inout (based on old fop, not used) 
depends on feature request 0037876 closedshuehner Openbravo ERP Delete report RptM_Movement (based on old fop, no ad_menu, not used for printing) 
depends on feature request 0037877 closedTriage Finance Openbravo ERP Rewrite Report Price list without using obsolete fop rendering or remove it 
depends on feature request 0037878 closedTriage Finance Openbravo ERP Rewrite Report "RV_ReportRefundSalesDimensionalAnalyses" without using obsolete fop rendering or remove it 
depends on feature request 0037879 closedTriage Finance Openbravo ERP Production report "CCP Sheet" & "CCP Measures" sheet should be rewritten without fop or removes 
depends on feature request 0037880 closedshuehner Openbravo ERP Remove broken report "Settlement", used in print button of old-flow window "Settlement" (pre-aprm), as uses obsolete fop 
depends on feature request 0037881 closedshuehner Openbravo ERP Remove report "Promissory Note" based on old fop technology and only use for old pre-aprm flow in deactivated window. 
depends on defect 0040132 closedTriage Finance Openbravo ERP API change: removed reports 
depends on defect 0040133 resolvedplatform Openbravo ERP API change: removed FOP support 
related to defect 0040145 resolvedcaristu Modules AnalyticsSessionDynamicComponent should provide its ID 
blocks feature request 0004754 closedalostale Openbravo ERP Remove avalon-framework-4.1.5.jar dependency 
blocks design defect 0032688 acknowledgedplatform Openbravo ERP remove unused resources 

-  Notes
(0109552)
hgbot (developer)
2019-02-05 08:12

Repository: erp/devel/pi
Changeset: 9141b6a4a4e87de6fa4829aae2656d09fa7052ed
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Feb 05 08:11:05 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9141b6a4a4e87de6fa4829aae2656d09fa7052ed [^]

fixes issue 37874: remove support for FOP rendering from core

---
M legal/Licensing.txt
M modules/org.openbravo.v3.datasets/referencedata/standard/V3_Roles.xml
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/QA_Testing/AD_PROCESS_ACCESS.xml
M src-core/.classpath
M src-core/src/org/openbravo/base/ConfigParameters.java
M src-core/src/org/openbravo/base/HttpBaseServlet.java
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_PARA.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src/org/openbravo/base/secureApp/HttpSecureAppServlet.java
M src/org/openbravo/configuration/ConfigurationApp.java
R config/userconfig.xml.template
R lib/runtime/avalon-framework-4.1.5.jar
R lib/runtime/barcode4j-fop-ext-complete.jar
R lib/runtime/batik-anim.jar
R lib/runtime/batik-awt-util.jar
R lib/runtime/batik-bridge.jar
R lib/runtime/batik-css.jar
R lib/runtime/batik-dom.jar
R lib/runtime/batik-ext.jar
R lib/runtime/batik-gvt.jar
R lib/runtime/batik-parser.jar
R lib/runtime/batik-script.jar
R lib/runtime/batik-svg-dom.jar
R lib/runtime/batik-svggen.jar
R lib/runtime/batik-util.jar
R lib/runtime/batik-xml.jar
R lib/runtime/fop-1.1.jar
R lib/runtime/xmlgraphics-commons-1.5.jar
R src/org/openbravo/erpCommon/ad_reports/ReportPricelist.fo
R src/org/openbravo/erpCommon/ad_reports/ReportPricelist.html
R src/org/openbravo/erpCommon/ad_reports/ReportPricelist.java
R src/org/openbravo/erpCommon/ad_reports/ReportPricelist.xml
R src/org/openbravo/erpCommon/ad_reports/ReportPricelist_Pdf.xml
R src/org/openbravo/erpCommon/ad_reports/ReportPricelist_data.xsql
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalyses.fo
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalyses.java
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalysesEdition.html
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalysesEdition.xml
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalysesEditionPDF.xml
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalysesFilter.html
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalysesFilter.xml
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalysesPDF.java
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalyses_data.xsql
R src/org/openbravo/erpReports/RptMA_CCP_Group.fo
R src/org/openbravo/erpReports/RptMA_CCP_Group.java
R src/org/openbravo/erpReports/RptMA_CCP_Group.xml
R src/org/openbravo/erpReports/RptMA_CCP_Group_data.xsql
R src/org/openbravo/erpReports/RptMA_CCP_Measures.fo
R src/org/openbravo/erpReports/RptMA_CCP_Measures.java
R src/org/openbravo/erpReports/RptMA_CCP_Measures.xml
R src/org/openbravo/erpReports/RptMA_CCP_Measures_Hours.fo
R src/org/openbravo/erpReports/RptMA_CCP_Measures_Hours.xml
R src/org/openbravo/erpReports/RptMA_CCP_Measures_Hours_data.xsql
R src/org/openbravo/erpReports/RptMA_CCP_Measures_Values.fo
R src/org/openbravo/erpReports/RptMA_CCP_Measures_Values.xml
R src/org/openbravo/erpReports/RptMA_CCP_Measures_Values_data.xsql
R src/org/openbravo/erpReports/RptMA_CCP_Measures_data.xsql
---
(0109555)
hgbot (developer)
2019-02-05 08:14

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: 55bc8c17d9dde5b3c51b81e697d7fd18f590ccbe
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jan 24 17:09:07 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/55bc8c17d9dde5b3c51b81e697d7fd18f590ccbe [^]

[fop] related to issue 37874: removed access to deleted reports

---
M referencedata/sampledata/Retail_Test/AD_PROCESS_ACCESS.xml
---
(0109556)
hgbot (developer)
2019-02-05 08:15

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 8cbde9ecfd11a674131a3080d6bc4971623d90b1
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jan 24 17:05:08 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/8cbde9ecfd11a674131a3080d6bc4971623d90b1 [^]

[fop] related to issue 37874: removed access to deleted reports

---
M referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml
---
(0109557)
hgbot (developer)
2019-02-05 08:16

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata
Changeset: d064e0476d3f107da6c3ec64b57d8cda64a80dd6
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jan 24 17:07:18 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata/rev/d064e0476d3f107da6c3ec64b57d8cda64a80dd6 [^]

[fop] related to issue 37874: removed access to deleted reports

---
M referencedata/sampledata/AWO_QA/AD_PROCESS_ACCESS.xml
---
(0109862)
caristu (developer)
2019-02-15 11:49

Reviewed + tested as part of the project: http://wiki.openbravo.com/wiki/Projects:Remove_FOP_support/QA [^]

- Issue History
Date Modified Username Field Change
2018-02-10 14:27 shuehner New Issue
2018-02-10 14:27 shuehner Assigned To => platform
2018-02-10 14:27 shuehner Modules => Core
2018-02-10 14:27 shuehner Triggers an Emergency Pack => No
2018-02-10 14:44 shuehner Relationship added depends on 0037875
2018-02-10 15:21 shuehner Relationship added depends on 0037876
2018-02-11 11:24 shuehner Relationship added depends on 0037877
2018-02-11 11:50 shuehner Relationship added depends on 0037878
2018-02-11 12:03 shuehner Relationship added depends on 0037879
2018-02-11 12:50 shuehner Relationship added depends on 0037880
2018-02-11 14:16 shuehner Relationship added depends on 0037881
2018-04-15 15:09 shuehner Relationship added blocks 0004754
2018-12-24 15:05 alostale Relationship added blocks 0032688
2019-01-31 10:15 caristu Relationship added related to 0032110
2019-02-05 07:54 alostale Relationship added depends on 0040132
2019-02-05 07:59 alostale Relationship added depends on 0040133
2019-02-05 07:59 alostale Description Updated View Revisions
2019-02-05 07:59 alostale Assigned To platform => alostale
2019-02-05 08:12 hgbot Checkin
2019-02-05 08:12 hgbot Note Added: 0109552
2019-02-05 08:12 hgbot Status new => resolved
2019-02-05 08:12 hgbot Resolution open => fixed
2019-02-05 08:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9141b6a4a4e87de6fa4829aae2656d09fa7052ed [^]
2019-02-05 08:14 hgbot Checkin
2019-02-05 08:14 hgbot Note Added: 0109555
2019-02-05 08:15 hgbot Checkin
2019-02-05 08:15 hgbot Note Added: 0109556
2019-02-05 08:16 hgbot Checkin
2019-02-05 08:16 hgbot Note Added: 0109557
2019-02-05 08:21 alostale Review Assigned To => caristu
2019-02-05 13:20 caristu Relationship added related to 0040145
2019-02-15 11:49 caristu Note Added: 0109862
2019-02-15 11:49 caristu Status resolved => closed
2019-02-15 11:49 caristu Fixed in Version => 3.0PR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker